﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace ultraTreeLayoutCAS_90272_Z8P6M8
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {


        }

        private void button1_Click(object sender, EventArgs e)
        {
            //set column header image for all columns
            this.ultraTree1.ColumnSettings.ColumnHeaderAppearance.Image = Image.FromFile("..\\..\\icon.bmp");
            //set for one column
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].HeaderAppearance.Image = Image.FromFile("..\\..\\icon.bmp");

            //set the foreColor to transparant
            this.ultraTree1.ColumnSettings.ColumnHeaderAppearance.ForeColor = Color.Transparent;

            //fixed width 16
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].LayoutInfo.AllowCellSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].LayoutInfo.AllowLabelSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].LayoutInfo.PreferredCellSize = new Size(16, 18);
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].LayoutInfo.PreferredLabelSize = new Size(this.Width - 109, 0); // must be the size of column 0 and 1 combined
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[0].LayoutInfo.LabelSpan = 2; // label should span over the first 2 columns
            
            //Takes all remaining space
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.AllowCellSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.AllowLabelSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.PreferredCellSize = new Size(this.Width -125, 18);
            //this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.PreferredLabelSize = new Size(this.Width - 125, 0); // should not be required?
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.LabelPosition = NodeLayoutLabelPosition.None; // this label should not be required, since the label from column 0 is merged with this label

            //invisible column
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[2].Visible = false;

            //fixed width 20
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[3].LayoutInfo.AllowCellSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[3].LayoutInfo.AllowLabelSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[3].LayoutInfo.PreferredCellSize = new Size(20, 18);
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[3].LayoutInfo.PreferredLabelSize = new Size(20, 0);

            //fixed width 20
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[4].LayoutInfo.AllowCellSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[4].LayoutInfo.AllowLabelSizing = Infragistics.Win.UltraWinTree.LayoutSizing.None;
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[4].LayoutInfo.PreferredCellSize = new Size(20, 18);
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[4].LayoutInfo.PreferredLabelSize = new Size(20, 0);
        }

        private void ultraTree1_Resize(object sender, EventArgs e)
        {
            // I skipped modifing this
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.PreferredCellSize = new Size(this.Width - 125, 18);
            this.ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].LayoutInfo.PreferredLabelSize = new Size(this.Width - 125, 0);
        }
    }
}
